regina::StoreConstPtr< T > Class Template Reference
Miscellaneous Utilities

A Property storage policy indicating that the property should be held by constant pointer. More...

`#include <utilities/property.h>`

## Public Types

typedef const T * | InitType
| The type by which new values for the underlying property are passed. More...
typedef const T * | QueryType
| The type by which the property value is returned to the user. More...

## Public Member Functions

| StoreConstPtr ()
| Constructor that sets the held pointer to 0. More...
void | clear ()
| Cleans up any currently held value before the property value is changed or cleared. More...
void | swap (StoreConstPtr< T > &other)
| Swaps this with the given value. More...

## Protected Attributes

const T * | value_
| The held property value. More...

## Detailed Description

### template<typename T>
class regina::StoreConstPtr< T >

A Property storage policy indicating that the property should be held by constant pointer.

The property assignment and query routines will also use constant pointers, and the Property wrapper takes no responsibility for memory management of the held value.

See the Property class notes for details.

Python:
  Not present.

## Member Typedef Documentation

## InitType

template<typename T >

typedef const T* regina::StoreConstPtr< T >::InitType

The type by which new values for the underlying property are passed.

## QueryType

template<typename T >

typedef const T* regina::StoreConstPtr< T >::QueryType

The type by which the property value is returned to the user.

## Constructor & Destructor Documentation

## StoreConstPtr()

template<typename T >

regina::StoreConstPtr< T >::StoreConstPtr | ( |  | ) |

inline

Constructor that sets the held pointer to 0.

## Member Function Documentation

## clear()

template<typename T >

void regina::StoreConstPtr< T >::clear | ( |  | ) |

inline

Cleans up any currently held value before the property value is changed or cleared.

This implementation resets the held pointer to 0.

## swap()

template<typename T >

void regina::StoreConstPtr< T >::swap | ( | StoreConstPtr< T > & | other | ) |

inline

Swaps this with the given value.

Parameters

  other | the value to swap with this.

## Member Data Documentation

## value_

template<typename T >

const T* regina::StoreConstPtr< T >::value_

protected

The held property value.

The documentation for this class was generated from the following file:

- utilities/property.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).